function [zik,szik] = calkri(data,x0,nx,ny,m,a,b,c)

model = [m a];
itype = 2;
avg   = mean (data(:,3));
block = [1 1];
nd    = [1 1];
ival  = 0;
nk    = length(data);
rad   = 500;
ntok  = 1;

[x0s,s,sv,id,l] = cokri (data,x0,model,c,itype,avg,block,nd,ival,nk,rad,ntok,b);
zik = deplie(x0s(:,3),nx,ny);
szik = deplie(s(:,3),nx,ny);